toolzerhub API Docs

Get profile (v1)

Get an account's public profile: name, bio, links, follower, following and post counts, and verification and privacy flags. Returns the numeric pk that other routes take as user_id. An unknown username returns data: null.

1 credit / requestBilled only on success
GET
/v1/instagram/profile

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username*string

Account username with or without @, or an instagram.com profile URL.

Lengthlength <= 300
curl -X GET "https://example.com/v1/instagram/profile?username=natgeo" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "pk": "string",    "username": "string",    "full_name": "string",    "biography": "string",    "profile_pic_url": "string",    "external_url": "string",    "category": "string",    "follower_count": 0,    "following_count": 0,    "media_count": 0,    "is_private": true,    "is_verified": true,    "is_business": true,    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}